IFF

IFF file format support

Interchange File Format, developed by Electronic Arts Inc. for Deluxe Paint, is the standard image file format for the Amiga. IFF itself is not really an image format, but a simple, generic file format for storing any kind of data. However, files with the extension IFF most often contain images in the ILBM image format, the extension for which may also be LBM or ILM. ACD Systems plug-in enabled software uses the IDE_IFF plug-in to view and save the IFF file format.

ILBM supports paletted, 24-bit RGB, and grayscale images. Images can be compressed with a simple run length encoding (RLE) scheme called Packer.

Setting IFF format options

When converting or saving an image as an IFF, you can set the RLE option to specify how you want the application to compress IFF files.

No compression | This option does not apply any compression to your IFF files.
Run-length encoding | This option uses lossless compression to store the image data. This option works best on images with large blocks of the same color, such as simple object art. It is ineffective on more complex images, such as photographs, and may actually make the files larger.
Save these settings as the defaults | Select this option if you want to apply the settings as defaults to all of the IFF files you work with.


.topic 246
Restores factory settings.

.topic 243
Apply compression.

.topic 247
Closes this dialog box and saves any changes you have made.

.topic 244
Do not apply compression.

.topic 245
Saves dialog box settings to the registry.

.topic 248
Closes this dialog box without saving any changes you have made.